// =====================================================================
//  $Id: TGtkUserInterface.hh,v 1.1.1.1 2003/06/27 02:56:42 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __TGTKUSERINTERFACE_HH
#define __TGTKUSERINTERFACE_HH
#ifdef __CLDAQ_GTK_USE

#include "Tglobals.h"
#include "TUserInterface.hh"

class TGtkUserInterface
  : public TUserInterface
{

  private:
    Tstring theAcceptString;

  public:
    TGtkUserInterface( const Tstring& history );
    ~TGtkUserInterface();

  public:
    Tbool AcceptCommand();
    const Tstring& GetInputCommand();

  public:
    Tvoid NotFoundCommand( const Tstring& commandname ) const;

};

#endif
#endif
